| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_IS_TUPLE

BOOST_VMD_IS_TUPLE — Tests whether a sequence is a Boost PP tuple.

## Synopsis

    // In header: <boost/vmd/is_tuple.hpp>

    BOOST_VMD_IS_TUPLE(sequence)

## Description

The macro checks to see if a sequence is a Boost PP tuple. A Boost PP tuple is preprocessor tokens enclosed by a set of parentheses with no preprocessing tokens before or after the parentheses.

sequence = a possible tuple

returns = 1 if the sequence is a Boost PP tuple. 0 if it is not.